org.yaml.snakeyaml.error

## Class MarkedYAMLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.yaml.snakeyaml.error.YAMLException
        - - org.yaml.snakeyaml.error.MarkedYAMLException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ComposerException, ConstructorException, ParserException, ScannerException

    public class MarkedYAMLException
    extends YAMLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `MarkedYAMLException(String context, Mark contextMark, String problem, Mark problemMark)`
`protected` `MarkedYAMLException(String context, Mark contextMark, String problem, Mark problemMark, String note)`
`protected` `MarkedYAMLException(String context, Mark contextMark, String problem, Mark problemMark, String note, Throwable cause)`
`protected` `MarkedYAMLException(String context, Mark contextMark, String problem, Mark problemMark, Throwable cause)`

### Method Summary

Methods
`String` `getContext()`
`Mark` `getContextMark()`
`String` `getMessage()`
`String` `getProblem()`
`Mark` `getProblemMark()`
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MarkedYAMLException

    protected MarkedYAMLException(String context,
                       Mark contextMark,
                       String problem,
                       Mark problemMark,
                       String note)

#### MarkedYAMLException

    protected MarkedYAMLException(String context,
                       Mark contextMark,
                       String problem,
                       Mark problemMark,
                       String note,
                       Throwable cause)

#### MarkedYAMLException

    protected MarkedYAMLException(String context,
                       Mark contextMark,
                       String problem,
                       Mark problemMark)

#### MarkedYAMLException

    protected MarkedYAMLException(String context,
                       Mark contextMark,
                       String problem,
                       Mark problemMark,
                       Throwable cause)

### Method Detail

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`

#### getContext

    public String getContext()

#### getContextMark

    public Mark getContextMark()

#### getProblem

    public String getProblem()

#### getProblemMark

    public Mark getProblemMark()